import type { ICliInterfaceService } from '../interface/cli-interface-service.interface';
import type { ILlmPromptContext } from '../interface/llm-service.interface';
import { CommitMessage } from '../../domain/entity/commit-message.entity';
/**
 * Use case for manual commit message creation
 */
export declare class ManualCommitUseCase {
    private readonly CLI_INTERFACE;
    constructor(cliInterface: ICliInterfaceService);
    /**
     * Execute the manual commit creation process
     * @param {ILlmPromptContext} context - The context for the commit
     * @returns {Promise<CommitMessage>} Promise resolving to the commit message
     */
    execute(context: ILlmPromptContext): Promise<CommitMessage>;
}
