import "dotenv/config";
/**
 * Commitizen adapter entry point
 * This function is called by Commitizen when running `git cz`
 * It delegates to the CommitizenAdapter to handle the interactive commit process
 * @param {unknown} inquirerInstance - The inquirer instance provided by Commitizen
 * @param {(message: string) => void} commit - Callback function to execute the commit with the generated message
 * @returns {Promise<void>} Promise that resolves when the commit process is complete
 */
export declare function prompter(inquirerInstance: unknown, commit: (message: string) => void): Promise<void>;
declare const _default: {
    prompter: typeof prompter;
};
export default _default;
export * from './application/index';
export * from './domain/index';
